import { GraphQLSchema, GraphQLError } from 'graphql';
export declare class FilteredPubSub {
    private ee;
    private subscriptions;
    private subIdCounter;
    constructor();
    publish(triggerName: string, payload: any): void;
    subscribe(triggerName: string, filterFunc: Function, handler: Function): number;
    unsubscribe(subId: number): void;
}
export declare class ValidationError extends Error {
    errors: Array<GraphQLError>;
    message: string;
    constructor(errors: any);
}
export interface SubscriptionOptions {
    query: string;
    operationName: string;
    callback: Function;
    variables?: {
        [key: string]: any;
    };
    context?: any;
    formatError?: Function;
    formatResponse?: Function;
}
export declare class SubscriptionManager {
    private pubsub;
    private schema;
    private setupFunctions;
    private subscriptions;
    private maxSubscriptionId;
    constructor(options: {
        schema: GraphQLSchema;
        setupFunctions: {
            [subscriptionName: string]: Function;
        };
    });
    publish(triggerName: string, payload: any): void;
    subscribe(options: SubscriptionOptions): number;
    unsubscribe(subId: any): void;
}
